%define aurox_ver 9.3
%define rel 1



Name:		shared-mime-info
Version:	0.12
Release: %{aurox_ver}.aur.%{rel}
Summary:	Shared MIME-Info Specification
Group:		User Interface/Desktops
License:	GPL
URL:		http://www.freedesktop.org/Software/shared-mime-info
Source:		http://pdx.freedesktop.org/Software/%{name}/releases/%{name}-%{version}.tar.gz
Patch:		shared-mime-info-0.8-noupdate.patch.bz2
BuildRequires:	libxml2-devel
BuildRequires:	glib2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

For interoperability, it is useful for different programs to use the
same database so that different programs agree on the type of a file,
and new rules for determining the type apply to all programs.

This specification attempts to unify the type-guessing systems currently
in use by GNOME, KDE and ROX. Only the name-to-type and contents-to-type
mappings are covered by this spec; other MIME type information, such as
the default handler for a particular type, or the icon to use to display
it in a file manager, are not covered since these are a matter of style.

In addition, freedesktop.org provides a shared database in this format
to avoid inconsistencies between desktops. This database has been
created by converting the existing KDE and GNOME databases to the new
format and merging them together.

%prep
%setup -q
%patch

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make
#db2pdf shared-mime-info-spec.xml

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%post 
%{_bindir}/update-mime-database %{_datadir}/mime

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYING NEWS README shared-mime-info-spec.xml
%{_bindir}/*
%{_datadir}/mime/packages/*
%{_mandir}/man*/*

%changelog
* Fri Jan 23 2004 Aurox Team <aurox@aurox.org> 0:0.12-9.3.aur.1
- rebuild
- Initial build for Aurox 9.2

* Fri Oct 24 2003 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 0.12-1
- New version

* Fri Apr 18 2003 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 0.11-1
- New version

* Wed Mar 05 2003 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 0.10-1
- New version

* Fri Sep 06 2002 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 0.9-1
- New version
- License changed to GPL
- Added patch for not updating the mime database by 'make install'
- Added BuildRequires
- Added post install section to run the update-mime-database command
- Removed noarch

* Fri May 31 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 0.7-1
- First spec file for rox.
